Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ServerLifeCycleTaskStatus

All Known Subinterfaces:
  ServerLifeCycleTaskRuntimeMBean

public interface ServerLifeCycleTaskStatus

This interface defines the status that can be returned by ServerLifeCycleTaskRuntimeMBean.

All ServerLifeCycle tasks like shutdown return a TaskRuntimeMBean that can be queried for the status of the ongoing task. The status returned from TaskRuntime can be compared against constants defined in this interface.

See Also:
  `ServerLifeCycleTaskRuntimeMBean`, `TaskRuntimeMBean.getStatus()`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `COMPLETED` The ServerLifeCycle task has completed successfully.
`static String` | `FAILED` The ServerLifeCycle task has failed.
`static String` | `TASK_IN_PROGRESS` The ServerLifeCycle task is in progress.

Field Detail

### COMPLETED

    public static final String COMPLETED

  The ServerLifeCycle task has completed successfully.

  See Also:
    Constant Field Values

### FAILED

    public static final String FAILED

  The ServerLifeCycle task has failed. The TaskRuntimeMBean can be queried for the exact error.

  See Also:
    `TaskRuntimeMBean.getError()`, Constant Field Values

### TASK_IN_PROGRESS

    public static final String TASK_IN_PROGRESS

  The ServerLifeCycle task is in progress.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD